Index: code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11620)
+++ code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11624)
@@ -5,9 +5,6 @@
  screenshot = "orxonoxArcade.png"
 />
-<FlappyOrx
-      spawnDistance=50 
-      Speed = 700 />
+
 <?lua
-  include("includes/notifications.oxi")
   include("templates/lodInformation.oxt")
   include("templates/spaceshipFlappyOrx.oxt")
@@ -50,5 +47,5 @@
             collisionType = dynamic
             linearDamping = 0.8
-            angularDamping = 0
+            angularDamping = 1
             scale = "<?lua print(j) ?>"
             collisiondamage = 10000
@@ -60,5 +57,5 @@
             </attached>
             <collisionShapes>
-              <SphereCollisionShape radius="<?lua print(j + 5) ?>" />
+              <SphereCollisionShape radius="<?lua print(j + 7) ?>" />
             </collisionShapes>
           </MovableEntity>
Index: code/branches/FlappyOrx_HS17/data/levels/includes/FlappyOrxWeapon.oxi
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/includes/FlappyOrxWeapon.oxi	(revision 11620)
+++ 	(revision )
@@ -1,30 +1,0 @@
-    <weaponslots>
-      <WeaponSlot position="-9.2,2,-13" />
-      <WeaponSlot position=" 9.2,2,-13" />
-    </weaponslots>
-    <weaponsets>
-      <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
-    </weaponsets>
-    <weaponpacks>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-        </links>
-        <Weapon>
-          <InvaderWeapon mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="laserbeam.mesh" />
-        </Weapon>
-        <Weapon>
-          <InvaderWeapon mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="laserbeam.mesh" />
-        </Weapon>
-      </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-      </WeaponPack>
-    </weaponpacks>
-    <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
-    </munition>
Index: code/branches/FlappyOrx_HS17/data/levels/includes/FlappyOrxWeaponEnemy.oxi
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/includes/FlappyOrxWeaponEnemy.oxi	(revision 11620)
+++ 	(revision )
@@ -1,30 +1,0 @@
-    <weaponslots>
-      <WeaponSlot position="-9.2,2,-13" />
-      <WeaponSlot position=" 9.2,2,-13" />
-    </weaponslots>
-    <weaponsets>
-      <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
-    </weaponsets>
-    <weaponpacks>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-        </links>
-        <Weapon>
-          <InvaderWeaponEnemy mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="laserbeam.mesh" />
-        </Weapon>
-        <Weapon>
-          <InvaderWeaponEnemy mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="laserbeam.mesh" />
-        </Weapon>
-      </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-      </WeaponPack>
-    </weaponpacks>
-    <munition>
-      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
-    </munition>
Index: code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11620)
+++ code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11624)
@@ -23,16 +23,13 @@
 
   speedBase = 100
-  speedIncrease = 2
-  tubeDistanceBase = 300
-  tubeDistanceIncrease = -3
+  speedIncrease = 0.5
+  tubeDistanceBase = 200
+  tubeDistanceIncrease = -1
 
-  upwardThrust = 200
-  gravity = 500
+  upwardThrust = 210
+  gravity = 700
 
   >
-    <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipFlappyOrxengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipFlappyOrxengine />
-    </engines>
+   
     <attached>
       <Model position="0,0,0" yaw=180 pitch=90 roll=270 scale=9 mesh="FlappyOrxShip.mesh" />
Index: code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11620)
+++ code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11624)
@@ -1,4 +1,6 @@
-
-
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
 <Template name="FlappyOrxHUD">
   <OverlayGroup name="FlappyOrxHUD" scale = "1, 1">
Index: code/branches/FlappyOrx_HS17/data/particle/fire3.particle
===================================================================
--- code/branches/FlappyOrx_HS17/data/particle/fire3.particle	(revision 11620)
+++ code/branches/FlappyOrx_HS17/data/particle/fire3.particle	(revision 11624)
@@ -65,8 +65,5 @@
 		colour3	0 0 0 0
 		time3	1
-		colour4	0.5 0.5 0.5 0
-		time4	1
-		colour5	0.5 0.5 0.5 0
-		time5	1
+		
 	}
 }
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/CMakeLists.txt
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/CMakeLists.txt	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/CMakeLists.txt	(revision 11624)
@@ -4,8 +4,5 @@
   FlappyOrxCenterPoint.cc
   FlappyOrxShip.cc
-  FlappyOrxWeapon.cc
-  FlappyOrxWeaponEnemy.cc
   FlappyOrxHUDinfo.cc
-  FlappyOrxAsteroid.cc
 END_BUILD_UNIT
 )
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11624)
@@ -21,6 +21,8 @@
  *
  *   Author:
- *      Leo Mehr Holz
+ *      Leo Merholz
  *      Pascal Schärli
+ *   Co-authors:
+ *      ...
  *
  */
@@ -47,5 +49,4 @@
 
 #include "FlappyOrxCenterPoint.h"
-#include "FlappyOrxAsteroid.h"
 #include "FlappyOrxShip.h"
 
@@ -73,11 +74,4 @@
     }
     
-    void FlappyOrx::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-        {   
-            SUPER(FlappyOrx, XMLPort, xmlelement, mode);
-            XMLPortParam(FlappyOrx, "spawnDistance", setspawnDistance, getspawnDistance, xmlelement, mode);
-            XMLPortParam(FlappyOrx, "Speed", setSpeed, getSpeed, xmlelement, mode);
-        }
-
     void FlappyOrx::updatePlayerPos(int x){
 
@@ -287,8 +281,4 @@
     void FlappyOrx::end()
     {
-        // DON'T CALL THIS!
-        //      Deathmatch::end();
-        // It will misteriously crash the game!
-        // Instead startMainMenu, this won't crash.
         if (Highscore::exists()){
                     int score = this->getPoints();
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11624)
@@ -21,6 +21,8 @@
  *
  *   Author:
- *      Leo Mehr Holz
+ *      Leo Merholz
  *      Pascal Schärli
+ *   Co-authors:
+ *      ...
  *
  */
@@ -67,17 +69,5 @@
             virtual void end() override;
             virtual void death();
-            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            
-            void setspawnDistance( int spawnDistance)
-                {this->spawnDistance = spawnDistance; }
-            int getspawnDistance()
-                { return this->spawnDistance; }  
-            inline void setSpeed( float speed ){   
-                orxout()<< speed<< endl;
-                this->speed = speed; }
-            inline float getSpeed( )
-                { return this->speed; }
-
+           
             void updatePlayerPos(int x);
             void createAsteroid(Circle &c);
@@ -159,6 +149,7 @@
                 "Well, that was a waste of time",
                 "You suck!",
-                "Maybe try SuperOrxoBros? That game is not as hard.",
-                "Here's a tip: Try not to fly into these grey thingies."};
+                "Maybe try SuperOrxoBros. That game is not as hard.",
+                "Here's a tip: Try not to fly into these grey thingies.",
+                "We won't comment on that."};
             std::vector<std::string> DeathMessage30 = {
                 "Getting better!",
@@ -182,6 +173,7 @@
                 "Wow, we're really impressed",
                 "We will honor you!",
-                "Please do that again!",
-                "Take that golden medal! You've earned it"};
+                "Please, please do that again!",
+                "Take that golden medal! You've earned it",
+                "We are completely speechless! That was magnificent"};
             
 
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxCenterPoint.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxCenterPoint.cc	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxCenterPoint.cc	(revision 11624)
@@ -21,5 +21,6 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Leo Merholz
+ *      Pascal Schärli
  *   Co-authors:
  *      ...
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxCenterPoint.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxCenterPoint.h	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxCenterPoint.h	(revision 11624)
@@ -21,5 +21,6 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Leo Merholz
+ *      Pascal Schärli
  *   Co-authors:
  *      ...
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11624)
@@ -21,6 +21,9 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Leo Merholz
+ *      Pascal Schärli
  *
+ *      Co-authors:
+ *      ...
  */
 
@@ -84,5 +87,5 @@
                         if(messageID==3){
                             setTextSize(0.05);
-                            this->setCaption("press space to start");
+                            this->setCaption("Press fire and then press space to start");
                         }
                     }
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxPrereqs.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxPrereqs.h	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxPrereqs.h	(revision 11624)
@@ -21,5 +21,6 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Leo Merholz
+ *      Pascal Schärli
  *   Co-authors:
  *      ...
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11624)
@@ -21,5 +21,6 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      FLeo Merholz
+ *      Pascal Schärli
  *   Co-authors:
  *      ...
@@ -52,5 +53,5 @@
         deathTime = 0;
 
-        particleLifespan = 0.1;
+        particleLifespan = 0.08;
         particleAge = 0;
 
@@ -119,5 +120,4 @@
             if (camera != nullptr)
             {
-                //camera->setPosition(Vector3(-pos.z, -pos.y, 0));
                 camera->setPosition(pos.x,-100,0);
                 camera->setOrientation(Vector3::UNIT_Z, Degree(0));
@@ -138,5 +138,5 @@
 
     int FlappyOrxShip::timeUntilRespawn(){
-        return 2-time(0)+deathTime;
+        return 1-time(0)+deathTime;
     }
 
@@ -154,11 +154,5 @@
     }
 
-    // void FlappyOrxShip::rotateRoll(const Vector2& value)
-    // {
-    //     if (getGame())
-    //         if (getGame()->bEndGame)
-    //             getGame()->end();
-    // }
-
+  
     FlappyOrx* FlappyOrxShip::getGame()
     {
@@ -177,5 +171,5 @@
         deathTime = time(0);
 
-        orxout()<<"death time: "<<deathTime<<std::endl;
+        //orxout()<<"death time: "<<deathTime<<std::endl;
         Vector3 pos = getPosition();
         pos.x = 0;
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11620)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11624)
@@ -21,5 +21,6 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Leo Merholz
+ *      Pascal Schärli
  *   Co-authors:
  *      ...
@@ -56,7 +57,6 @@
 
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value) override;
             
-            inline void  setSpeedBase(int speedBase){ getGame()->setSpeedBase(speedBase);}
+            inline void  setSpeedBase(float speedBase){ getGame()->setSpeedBase(speedBase);}
             inline float getSpeedBase(){ return getGame()->getSpeedBase();}
             inline void  setSpeedIncrease(int speedIncrease){ getGame()->setSpeedIncrease(speedIncrease);}
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeapon.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeapon.cc	(revision 11620)
+++ 	(revision )
@@ -1,91 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      --
- *
- */
-
-/**
-    @file FlappyOrxWeapon.h
-    @brief Implementation of the FlappyOrxWeapon class.
-*/
-
-#include "FlappyOrxWeapon.h"
-
-#include "core/CoreIncludes.h"
-// #include "core/XMLPort.h"
-// #include "core/command/Executor.h"
-
-#include "graphics/Model.h"
-#include "weaponsystem/Weapon.h"
-#include "weaponsystem/WeaponPack.h"
-#include "weaponsystem/WeaponSystem.h"
-#include "worldentities/WorldEntity.h"
-#include "worldentities/pawns/Pawn.h"
-
-#include "weapons/projectiles/Projectile.h"
-#include "weapons/MuzzleFlash.h"
-
-namespace orxonox
-{
-    RegisterClass(FlappyOrxWeapon);
-
-    FlappyOrxWeapon::FlappyOrxWeapon(Context* context) : HsW01(context)
-    {
-        RegisterObject(FlappyOrxWeapon);
-    }
-
-    FlappyOrxWeapon::~FlappyOrxWeapon()
-    {
-
-    }
-
-    void FlappyOrxWeapon::shot()
-    {
-        assert( this->getWeapon() && this->getWeapon()->getWeaponPack() && this->getWeapon()->getWeaponPack()->getWeaponSystem() && this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn() );
-
-        // Create the projectile.projectile
-        projectile = new Projectile(this->getContext());
-        Model* model = new Model(projectile->getContext());
-        model->setMeshSource(mesh_);
-        model->setCastShadows(false);
-        projectile->attach(model);
-        model->setScale(5);
-
-        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
-        // only shoot in foreward direction
-        projectile->setOrientation(Quaternion(sqrt(0.5f),0,sqrt(0.5f),0));
-        projectile->setPosition(this->getMuzzlePosition());
-        // only shoot in foreward direction
-        projectile->setVelocity(Vector3(1, 0, 0) * 2000);
-
-        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
-        projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());
-
-        // Display the muzzle flash.
-        this->FlappyOrxWeapon::muzzleflash();
-    }
-}
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeapon.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeapon.h	(revision 11620)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file FlappyOrxWeapon.h
-    @brief Definition of the FlappyOrxWeapon class.
-*/
-
-#ifndef _FlappyOrxWeapon_H__
-#define _FlappyOrxWeapon_H__
-
-#include "flappyorx/FlappyOrxPrereqs.h"
-
-#include "weapons/WeaponsPrereqs.h"
-#include "weapons/weaponmodes/HsW01.h"
-
-namespace orxonox
-{
-    class _FlappyOrxExport FlappyOrxWeapon : public HsW01
-    {
-        public:
-            FlappyOrxWeapon(Context* context);
-            virtual ~FlappyOrxWeapon();
-        protected:
-            virtual void shot() override;
-            WeakPtr<Projectile> projectile;
-    };
-}
-
-#endif /* _FlappyOrxWeapon_H__ */
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeaponEnemy.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeaponEnemy.cc	(revision 11620)
+++ 	(revision )
@@ -1,58 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      --
- *
- */
-
-/**
-    @file FlappyOrxWeaponEnemy.h
-    @brief Implementation of the FlappyOrxWeaponEnemy class.
-*/
-
-#include "FlappyOrxWeaponEnemy.h"
-
-#include "core/CoreIncludes.h"
-#include "weapons/projectiles/Projectile.h"
-
-namespace orxonox
-{
-    RegisterClass(FlappyOrxWeaponEnemy);
-
-    FlappyOrxWeaponEnemy::FlappyOrxWeaponEnemy(Context* context) : FlappyOrxWeapon(context)
-    {
-        RegisterObject(FlappyOrxWeaponEnemy);
-    }
-
-    void FlappyOrxWeaponEnemy::shot()
-    {
-        FlappyOrxWeapon::shot();
-        // SUPER(FlappyOrxWeaponEnemy, shot);
-        // only shoot in foreward direction
-        projectile->setVelocity(Vector3(1, 0, 0) * 300);
-        // projectile->setOrientation(Quaternion(sqrt(0.5),0,sqrt(0.5),0));
-    }
-}
-
-
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeaponEnemy.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxWeaponEnemy.h	(revision 11620)
+++ 	(revision )
@@ -1,53 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file FlappyOrxWeaponEnemy.h
-    @brief Definition of the FlappyOrxWeaponEnemy class.
-*/
-
-#ifndef _FlappyOrxWeaponEnemy_H__
-#define _FlappyOrxWeaponEnemy_H__
-
-#include "flappyorx/FlappyOrxPrereqs.h"
-
-#include "FlappyOrxWeapon.h"
-#include "tools/Timer.h"
-
-namespace orxonox
-{
-    class _FlappyOrxExport FlappyOrxWeaponEnemy : public FlappyOrxWeapon
-    {
-        public:
-            FlappyOrxWeaponEnemy(Context* context);
-        protected:
-            virtual void shot() override;
-    };
-}
-
-#endif /* _FlappyOrxWeaponEnemy_H__ */